[arch-commits] Commit in gnome-terminal/trunk (PKGBUILD terminal-dontping.patch)

Jan de Groot jgc at archlinux.org
Fri May 29 13:51:38 EDT 2009


    Date: Friday, May 29, 2009 @ 13:51:38
  Author: jgc
Revision: 40679

upgpkg: gnome-terminal 2.26.2-2
    Remove ping for gconf, fixes issues where gnome-terminal exits when a dbus session bus exists, but gconf is not running

Added:
  gnome-terminal/trunk/terminal-dontping.patch
Modified:
  gnome-terminal/trunk/PKGBUILD

-------------------------+
 PKGBUILD                |    9 ++++++---
 terminal-dontping.patch |   29 +++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-29 17:43:55 UTC (rev 40678)
+++ PKGBUILD	2009-05-29 17:51:38 UTC (rev 40679)
@@ -3,7 +3,7 @@
 
 pkgname=gnome-terminal
 pkgver=2.26.2
-pkgrel=1
+pkgrel=2
 pkgdesc="The GNOME Terminal Emulator"
 arch=(i686 x86_64)
 license=('GPL')
@@ -13,11 +13,14 @@
 url="http://www.gnome.org"
 groups=('gnome-extra')
 install=gnome-terminal.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('f4f64b9b67c7a3147799ee10f7cf00e1')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2
+	terminal-dontping.patch)
+md5sums=('f4f64b9b67c7a3147799ee10f7cf00e1'
+	 '9ae26f8e6a9f0401889e8a0ba7e831d6')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i "${srcdir}/terminal-dontping.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-scrollkeeper || return 1
   make || return 1

Added: terminal-dontping.patch
===================================================================
--- terminal-dontping.patch	                        (rev 0)
+++ terminal-dontping.patch	2009-05-29 17:51:38 UTC (rev 40679)
@@ -0,0 +1,29 @@
+--- src/terminal.c~	2009-04-17 18:30:45.000000000 +0200
++++ src/terminal.c	2009-05-29 19:47:28.071360678 +0200
+@@ -234,9 +234,6 @@
+   return g_string_free (name, FALSE);
+ }
+ 
+-/* Evil hack alert: this is exported from libgconf-2 but not in a public header */
+-extern gboolean gconf_ping_daemon (void);
+-         
+ int
+ main (int argc, char **argv)
+ {
+@@ -444,16 +441,6 @@
+   g_free (argv_copy);
+   g_free (factory_name);
+ 
+-  /* If the gconf daemon isn't available (e.g. because there's no dbus
+-   * session bus running), we'd crash later on. Tell the user about it
+-   * now, and exit. See bug #561663.
+-   */
+-  if (!gconf_ping_daemon ())
+-    {
+-      g_printerr ("Failed to contact the GConf daemon; exiting.\n");
+-      exit (1);
+-    }
+-
+   gtk_window_set_default_icon_name (GNOME_TERMINAL_ICON_NAME);
+ 
+   gtk_about_dialog_set_url_hook (about_url_hook, NULL, NULL);



More information about the arch-commits mailing list